# PolylineGraphics

#### new Cesium.PolylineGraphics(options)
engine/Source/DataSources/PolylineGraphics.js 40

Describes a polyline. The first two positions define a line segment, and each additional position defines a line segment from the previous position. The segments can be linear connected points, great arcs, or clamped to terrain.

Name | Type | Description
--- | --- | ---
`options` | PolylineGraphics.ConstructorOptions | optional Object describing initialization options

##### Demo:

- Cesium Sandcastle Polyline Demo

##### See:

- Entity

### Members

#### arcType : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 142

Gets or sets the `ArcType` Property specifying whether the line segments should be great arcs, rhumb lines or linearly connected.

Default Value: `ArcType.GEODESIC`

#### clampToGround : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 151

Gets or sets the boolean Property specifying whether the polyline should be clamped to the ground.

Default Value: `false`

#### classificationType : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 177

Gets or sets the `ClassificationType` Property specifying whether this polyline will classify terrain, 3D Tiles, or both when on the ground.

Default Value: `ClassificationType.BOTH`

#### readonly definitionChanged : Event
engine/Source/DataSources/PolylineGraphics.js 78

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### depthFailMaterial : MaterialProperty
engine/Source/DataSources/PolylineGraphics.js 134

Gets or sets the Property specifying the material used to draw the polyline when it fails the depth test.

Requires the EXT_frag_depth WebGL extension to render properly. If the extension is not supported, there may be artifacts.

Default Value: `undefined`

#### distanceDisplayCondition : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 167

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this polyline will be displayed.

#### granularity : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 114

Gets or sets the numeric Property specifying the angular distance between each latitude and longitude if arcType is not ArcType.NONE and clampToGround is false.

Default Value: `Cesium.Math.RADIANS_PER_DEGREE`

#### material : MaterialProperty
engine/Source/DataSources/PolylineGraphics.js 122

Gets or sets the Property specifying the material used to draw the polyline.

Default Value: `Color.WHITE`

#### positions : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 98

Gets or sets the Property specifying the array of `Cartesian3` positions that define the line strip.

#### shadows : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 160

Get or sets the enum Property specifying whether the polyline casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### show : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 90

Gets or sets the boolean Property specifying the visibility of the polyline.

Default Value: `true`

#### width : Property|undefined
engine/Source/DataSources/PolylineGraphics.js 106

Gets or sets the numeric Property specifying the width in pixels.

Default Value: `1.0`

#### zIndex : ConstantProperty|undefined
engine/Source/DataSources/PolylineGraphics.js 185

Gets or sets the zIndex Property specifying the ordering of the polyline. Only has an effect if `clampToGround` is true and polylines on terrain is supported.

Default Value: `0`

### Methods

#### clone(result) → PolylineGraphics
engine/Source/DataSources/PolylineGraphics.js 194

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | PolylineGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
engine/Source/DataSources/PolylineGraphics.js 219

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | PolylineGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.PolylineGraphics.ConstructorOptions
engine/Source/DataSources/PolylineGraphics.js 8

Initialization options for the PolylineGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the polyline.
`positions` | Property | Array.<Cartesian3> | <optional> |  | A Property specifying the array of `Cartesian3` positions that define the line strip.
`width` | Property | number | <optional> | 1.0 | A numeric Property specifying the width in pixels.
`granularity` | Property | number | <optional> | Cesium.Math.RADIANS_PER_DEGREE | A numeric Property specifying the angular distance between each latitude and longitude if arcType is not ArcType.NONE.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to draw the polyline.
`depthFailMaterial` | MaterialProperty | Color | <optional> |  | A property specifying the material used to draw the polyline when it is below the terrain.
`arcType` | Property | ArcType | <optional> | ArcType.GEODESIC | The type of line the polyline segments must follow.
`clampToGround` | Property | boolean | <optional> | false | A boolean Property specifying whether the Polyline should be clamped to the ground.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the polyline casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this polyline will be displayed.
`classificationType` | Property | ClassificationType | <optional> | ClassificationType.BOTH | An enum Property specifying whether this polyline will classify terrain, 3D Tiles, or both when on the ground.
`zIndex` | Property | number | <optional> | 0 | A Property specifying the zIndex used for ordering ground geometry. Only has an effect if `clampToGround` is true and polylines on terrain is supported.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.